LibreOffice: XWindowListener Interface Reference

LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XWindowListener Interface Referencepublished

makes it possible to receive window events. More...

`import"XWindowListener.idl";`

Inheritance diagram for XWindowListener:

## Public Member Functions
void | windowResized ([in] com::sun::star::awt::WindowEvent e)
| is invoked when the window has been resized. More...
void | windowMoved ([in] com::sun::star::awt::WindowEvent e)
| is invoked when the window has been moved. More...
void | windowShown ([in] com::sun::star::lang::EventObject e)
| is invoked when the window has been shown. More...
void | windowHidden ([in] com::sun::star::lang::EventObject e)
| is invoked when the window has been hidden. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive window events.

Component events are provided only for notification purposes. Moves and resizes will be handled internally by the window component, so that GUI layout works properly regardless of whether a program registers such a listener or not.

## Member Function Documentation

## ◆ windowHidden()

void windowHidden | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when the window has been hidden.

## ◆ windowMoved()

void windowMoved | ( | [in] com::sun::star::awt::WindowEvent | e | ) |

is invoked when the window has been moved.

## ◆ windowResized()

void windowResized | ( | [in] com::sun::star::awt::WindowEvent | e | ) |

is invoked when the window has been resized.

## ◆ windowShown()

void windowShown | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when the window has been shown.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XWindowListener.idl